Unreleased documentation. These pages follow the main branch and can change before the next release. For supported guidance, use v0.43.0.
Mint one stateless proof nonce
POST
/nonce
const url = 'https://example.com/nonce';const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/nonce \ --header 'Content-Type: application/json' \ --data '{}'Request Body
Section titled “Request Body”Media typeapplication/json
object
Example generated
{}Responses
Section titled “Responses”Stateless nonce
Media typeapplication/json
object
c_nonce
required
string
Example generated
{ "c_nonce": "example"}Headers
Section titled “Headers”Cache-Control
string
Pragma
string
The nonce request was not empty
Media typeapplication/json
object
error
required
error_description
required
string
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”Cache-Control
string
Pragma
string
The configured request deadline elapsed
Media typeapplication/json
object
error
required
error_description
required
string
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”Cache-Control
string
Pragma
string
The request body exceeds the configured byte limit
Media typetext/plain; charset=utf-8
string
Headers
Section titled “Headers”Cache-Control
string
Pragma
string